import Component from "../engine/Component.js";

const ACCELERATION = -1;

export default class Cube extends Component{
    constructor() {
        super();
        this.yVelocity = 0;
        this.dying = false;
        this.deathTimer = 2;
    }

    init() {
    }

    update(deltaTime) {
        // update the current cube downward velocity
        this.yVelocity += ACCELERATION * deltaTime;
        // translate the game object
        this.gameObject.transform.translate(0, this.yVelocity * deltaTime, 0);

        // check if below x-z plane
        if (this.gameObject.transform.position.y <= -1) {
            this.gameObject.destroy();
        }

        if (this.dying) {
            // update death timer and check if object needs to be destroyed
            this.deathTimer -= deltaTime;
            if (this.deathTimer <= 0) {
                this.gameObject.destroy();
                console.log("Destroyed");
            }
        }
    }

    /**
     * Called to kill a cube after 2 seconds (required for the task)
     */
    goDie() {
        this.dying = true;
    }
}